Summary: popa3d - a tiny POP3 daemon
Name: popa3d
Version: 0.4
Release: 2pamQM
Copyright: GPL
Group: System Environment/Daemons
Vendor: Marcin Siennicki <m.siennicki@cloos.pl>
Packager: Marcin Siennicki <m.siennicki@cloos.pl>
Source0: http://www.openwall.com/popa3d/popa3d-0.4.tar.gz
Source1: http://www.openwall.com/popa3d/popa3d-0.4.tar.gz.sign
Source2: popa3d.pam
Patch0: popa3d-0.4.mailbox-at-home.patch
Patch1: popa3d-0.4.glibc-pam.patch
# Requires: inetd
Buildroot: /var/tmp/popa3-root

%changelog

%description
There're lots of different POP3 servers -- with different feature sets,
performance, and reliability. However, as far as I know, before I started
the work on popa3d, there had been only one with security as one of its
primary design goals: qmail-pop3d. Unfortunately, it would only work with
qmail, and only with its new maildir format. While both qmail and maildirs
do indeed have some advantages, a lot of people continue running other
MTAs, and/or use the older mailbox format, for various reasons. Many of
them need a POP3 server.
This package is prepared for use with qmail and $HOME/Mailbox mailboxes.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" CC=egcs MAILBOX_FILE=Mailbox

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp popa3d $RPM_BUILD_ROOT/usr/sbin
chmod 700 $RPM_BUILD_ROOT/usr/sbin
cp $RPM_SOURCE_DIR/popa3d.pam $RPM_BUILD_ROOT/etc/pam.d/popa3d
chmod 600 $RPM_BUILD_ROOT/etc/pam.d/popa3d

%clean
rm -rf $RPM_BUILD_ROOT

%post

if [ "$1" = 1 ]
then
	# check that user 'popa3d' exists
	#
	if grep "^popa3d:" /etc/passwd > /dev/null
	then
		true
	else
		useradd -d /dev/null -s /dev/null popa3d 
	fi
fi

%postun

if [ "$1" = 0 ]
then
	echo "Consider deleting user 'popa3d' too." 1>&2
fi

%files
%defattr(-,root,root)
%doc DESIGN INSTALL
/usr/sbin/popa3d
%config /etc/pam.d/popa3d
